WordPress.org

Ready to get started?Download WordPress

Forums

WP2.0 Theme Compatibility (6 posts)

  1. joshspazjosh
    Member
    Posted 8 years ago #

    Sooo. . .my WordPress 1.5 theme won't work in 2.0 unless the theme author makes a new version?

    Just getting this straight.

  2. moshu
    Member
    Posted 8 years ago #

    Not necessarily. A lot themes work perfectly in 2.0.

  3. Cypher
    Member
    Posted 8 years ago #

    Have you tried your WP 1.5 theme on a test WP 2.0 blog? You could create a local or test installation of WP 2.0 and give it a shot.

    Lots of themes work, some that use plugins for some functionality might not work because the plugins don't work.

    Regards

  4. joshspazjosh
    Member
    Posted 8 years ago #

    What would cause a theme to possibly behave erratically?

    I downloaded a WordPress 1.5 theme (CoffeeCup, from the WordPress theme competition at alexking.org) and significantly altered the color scheme and graphics over a period of two weeks (project-am.info/blog) so I'm kinda reluctant to upgrade if it's going to mess with my changes.

  5. Cypher
    Member
    Posted 8 years ago #

    The biggest issue would be use of function calls in WP 1.5 that don't exist in WP 2.0. This would lead to broken functionality.

    Regards

  6. Thord Daniel Hedengren
    Member
    Posted 8 years ago #

    Try it locally first, but all themes I have tried have worked perfectly. You should be wary about the plugins you use, though, since not all plugins work with 2.0 yet.

Topic Closed

This topic has been closed to new replies.

About this Topic